public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/reno/
Date: Mon,  4 Mar 2024 14:52:47 +0000 (UTC)	[thread overview]
Message-ID: <1709563960.863d5e1eac19b76e51ca159757e6e55f7f20e8c0.mgorny@gentoo> (raw)

commit:     863d5e1eac19b76e51ca159757e6e55f7f20e8c0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  4 13:44:53 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Mar  4 14:52:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=863d5e1e

dev-python/reno: Bump to 4.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/reno/Manifest          |  1 +
 dev-python/reno/reno-4.1.0.ebuild | 45 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/reno/Manifest b/dev-python/reno/Manifest
index 76673a1d7a69..8777848cf88d 100644
--- a/dev-python/reno/Manifest
+++ b/dev-python/reno/Manifest
@@ -1 +1,2 @@
 DIST reno-4.0.0.tar.gz 84541 BLAKE2B fdb04fb337d4cd1f9ec7c4656fdacdd76135fc44dc3357fdb43056204756ccbf854fdadccf319c3c3b2f19b611479b34f8e5afcb20f178c2aca2aca5241a165c SHA512 1058416f0291a6d8fe8e3600f0e02ebc8146541fd665b4c5027c24f1e3192f178424701a48c4413f94c997719cb82fd257dff5d0fcbb5fd7fcb4aba205baea62
+DIST reno-4.1.0.tar.gz 86657 BLAKE2B 001a2723f814b537926fd4cf6eb70acd28661affa4d3a6a20f35f2409e262e7a3431480d6cc8e95a87b2ab49399e02dba85e810155b0092f2fa5455e5842ad97 SHA512 b0db51f61bb5a1bef3b0149b1bd3c6cdb6c8189e4325d2acffc122e7960a4c3d1afa87318596ff3bef99ea06e911d3260c5207951cc6d6b036e49b07969243a4

diff --git a/dev-python/reno/reno-4.1.0.ebuild b/dev-python/reno/reno-4.1.0.ebuild
new file mode 100644
index 000000000000..4794f156fb8f
--- /dev/null
+++ b/dev-python/reno/reno-4.1.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Release notes manager, storing release notes in a git repo and building docs"
+HOMEPAGE="
+	https://opendev.org/openstack/reno/
+	https://github.com/openstack/reno/
+	https://pypi.org/project/reno/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~riscv ~s390 ~x86"
+
+RDEPEND="
+	dev-python/pbr[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+	>=dev-python/dulwich-0.15.0[${PYTHON_USEDEP}]
+	>=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+	>=dev-python/docutils-0.11[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-2.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-python/pbr[${PYTHON_USEDEP}]
+	test? (
+		dev-python/fixtures[${PYTHON_USEDEP}]
+		>=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+	)
+"
+
+# The doc needs to be built from a git repository
+distutils_enable_tests unittest
+
+python_prepare_all() {
+	# Some tests need to be run from a git repository
+	rm reno/tests/test_{cache,semver}.py || die
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2024-03-04 14:52 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-04 14:52 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-19 15:43 [gentoo-commits] repo/gentoo:master commit in: dev-python/reno/ Petr Vaněk
2024-03-22  4:38 Michał Górny
2024-03-21 19:24 Arthur Zamarin
2024-01-29 10:25 Michał Górny
2023-10-27 18:20 Michał Górny
2023-04-08 12:24 Michał Górny
2023-04-08  8:15 Arthur Zamarin
2023-03-20  5:36 Michał Górny
2023-03-19 18:56 Arthur Zamarin
2023-03-08 17:02 Michał Górny
2023-02-17  9:32 Michał Górny
2022-06-05  5:48 Michał Górny
2022-05-28 16:00 Jakov Smolić
2022-04-26  2:58 Sam James
2021-11-13 13:28 Michał Górny
2021-11-13 12:16 Jakov Smolić
2021-10-07 21:48 Michał Górny
2021-10-01  9:22 Arthur Zamarin
2021-10-01  9:22 Arthur Zamarin
2021-09-05 19:16 Michał Górny
2021-09-05 16:54 Sam James
2021-08-03  8:52 Michał Górny
2021-04-22 15:07 Michał Górny
2021-04-22 12:08 Sam James
2021-03-18 23:28 Michał Górny
2020-11-17  2:44 Matthew Thode
2020-11-16  0:02 Michał Górny
2020-11-15 23:50 Sam James
2020-11-14 22:13 Michał Górny
2020-10-04 19:25 Louis Sautier
2020-08-06 12:25 Michał Górny
2020-08-04  2:43 Sam James
2020-08-02  8:17 Michał Górny
2020-07-17  1:52 Sam James
2020-05-31  6:57 Matt Turner
2020-05-17  9:37 Sergei Trofimovich
2020-01-29 19:53 Patrick McLean
2018-10-31 17:58 Sebastian Pipping
2018-08-30 21:34 Matt Thode
2018-02-16  6:08 Matt Thode
2017-10-04  8:57 Michał Górny
2017-07-31  4:35 Matt Thode
2017-07-31  3:41 Matt Thode
2017-07-31  3:41 Matt Thode
2017-05-10 16:41 Matt Thode
2017-02-16  9:16 Zac Medico
2016-03-25  3:00 Matt Thode
2016-03-25  3:00 Matt Thode
2016-01-24 17:22 Agostino Sarubbo
2015-12-07 18:42 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709563960.863d5e1eac19b76e51ca159757e6e55f7f20e8c0.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox